### Method

# Gtk.Gesture.get_device

#### Declaration [src]

    GdkDevice*
    gtk_gesture_get_device (
      GtkGesture* gesture
    )

#### Description [src]

Returns the logical `GdkDevice` that is currently operating on `gesture`.

This returns `NULL` if the gesture is not being interacted.

#### Return value

Returns: `GdkDevice*`
a `GdkDevice`, or `NULL`
Ownership is not transferred to the caller
Can be `NULL`